> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Delay EOR employee onboarding

PATCH https://api.letsdeel.com/rest/eor/contract/{oid}/delay-onboarding
Content-Type: application/json

Defers the scheduled onboarding start date for the EOR employee on the specified contract.

 **Token scopes**: `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-hiring/delay-onboarding

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `oid` (string, required) — Contract oid

### Body (application/json)

This endpoint expects an object.

- `data` (EorContractOidDelayOnboardingPatchRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Employee onboarding delay status updated successfully

- `success` (boolean, required) — Operation success status
- `contractOid` (string, optional) — Contract OID
- `is_employee_onboarding_delayed` (boolean, optional) — Current onboarding delay status

## Errors

### 400 Bad Request Error

Bad Request - Contract not found or invalid status

- `error` (string, required) — Error message

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorContractOidDelayOnboardingPatchRequestBodyContentApplicationJsonSchemaData

- `is_employee_onboarding_delayed` (boolean, required) — Indicates if the employee onboarding is delayed

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

### delayEnabled

**Request**

```json
{
  "data": {
    "is_employee_onboarding_delayed": true
  }
}
```

**Response**

```json
{
  "success": true,
  "contractOid": "cnt_12345",
  "is_employee_onboarding_delayed": true
}
```

**SDK Code**

```python delayEnabled
import requests

url = "https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding"

payload = { "data": { "is_employee_onboarding_delayed": True } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript delayEnabled
const url = 'https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"is_employee_onboarding_delayed":true}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go delayEnabled
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding"

	payload := strings.NewReader("{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby delayEnabled
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java delayEnabled
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}")
  .asString();
```

```php delayEnabled
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding', [
  'body' => '{
  "data": {
    "is_employee_onboarding_delayed": true
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp delayEnabled
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift delayEnabled
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["is_employee_onboarding_delayed": true]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### delayDisabled

**Request**

```json
{
  "data": {
    "is_employee_onboarding_delayed": true
  }
}
```

**Response**

```json
{
  "success": true,
  "contractOid": "cnt_12345",
  "is_employee_onboarding_delayed": false
}
```

**SDK Code**

```python delayDisabled
import requests

url = "https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding"

payload = { "data": { "is_employee_onboarding_delayed": True } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript delayDisabled
const url = 'https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"is_employee_onboarding_delayed":true}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go delayDisabled
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding"

	payload := strings.NewReader("{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby delayDisabled
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java delayDisabled
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}")
  .asString();
```

```php delayDisabled
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding', [
  'body' => '{
  "data": {
    "is_employee_onboarding_delayed": true
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp delayDisabled
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"is_employee_onboarding_delayed\": true\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift delayDisabled
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["is_employee_onboarding_delayed": true]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contract/cnt_12345678/delay-onboarding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```